package com.ruoyi.device.mqtt.domain.encoder.upgrade;

import com.ruoyi.device.mqtt.domain.BaseBody;

/**
 * 固件 URL 下行请求
 */
public class SendApkUrlRequest extends BaseBody
{
    private static final long serialVersionUID = 1L;

    /** 目标设备型号 */
    private String targetDeviceType;

    /** 固件类型 */
    private Integer firmwareType;

    /** 下载地址 */
    private String downloadUrl;

    public SendApkUrlRequest()
    {
        super();
    }

    public String getTargetDeviceType()
    {
        return targetDeviceType;
    }

    public void setTargetDeviceType(String targetDeviceType)
    {
        this.targetDeviceType = targetDeviceType;
    }

    public Integer getFirmwareType()
    {
        return firmwareType;
    }

    public void setFirmwareType(Integer firmwareType)
    {
        this.firmwareType = firmwareType;
    }

    public String getDownloadUrl()
    {
        return downloadUrl;
    }

    public void setDownloadUrl(String downloadUrl)
    {
        this.downloadUrl = downloadUrl;
    }
}
